<?php
//##Aquí sólo declara: esta función debe llamarla después de inicializar sesión con session_start
function identificar_idiomas() {
	define("IDIOMA_DEFAULT", "en");

	if(empty($_GET["lang"]) && empty($_SESSION["lang"])) {
		$language = IDIOMA_DEFAULT;
	} else if( empty($_GET["lang"] ) ) { //Si $_GET["lang"] es empty, entonces utiliza lo que haya almacenado en la sesión.
		$language = $_SESSION["lang"];
	} else { //
		//Nótese: si coexisten $_GET["lang"] y $_SESSION["lang"], domina $_GET["lang"]
		$language = $_GET["lang"];
	}
	$language = strtolower($language);
	if(!in_array($language, array("en", "es"))) {
	  error_y_salir("##20260323152257-0763dav: No se comprende el idioma.", "error de cliente");
	}
	//##ABAJO: independientemente de si se guarda en la $_SESSION o no, debe estar disponible entre las GLOBALS, allí se buscará.
	$_SESSION["lang"] = $language;  //OJO: debe llamarse a esta función contenedora DESPUÉS de session_start
	$GLOBALS ["lang"] = $language;
} //Fin de identificar_idiomas, definido antes de session_start